Skip to main content
GET
Get Bridge

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication

Path Parameters

bridgeId
string
required

Response

Bridge details

bridgeId
string<uuid>
required

Unique identifier for the bridge

name
string
required

Name of the bridge

userId
string
required

User ID who created and owns the bridge

filterType
enum<string>
required

Type of filter applied to the bridge — also what each of its rows represents, surfaced per row as entity. RFP bridges match RFPs.

Available options:
RFP,
Meeting,
Purchase,
Buyer,
TopBuyer,
Contact,
Signal,
Conference,
JobChange,
SequenceBuyer,
SequenceContact,
SequenceJobChange,
VendorPresence,
ProductCompetitorPresence,
CompanionPresence,
ContractExpiration
status
enum<string>
required

Current status of the bridge

Available options:
Initializing,
Matching,
Draft,
Open,
Failed,
Deleting
updatedAt
string<date-time>
required

Timestamp when a user last edited this bridge's configuration (name, columns, sharing). Does NOT indicate when new rows were added

url
string
required

Starbridge dashboard link that opens this bridge. Give it to the user when they ask for a link to the bridge.

rowCount
integer

Total number of rows in the bridge